Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-gtk-3.0/wldlg.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Enumerations | Functions | Variables
wldlg.c File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <gtk/gtk.h>`
`#include <gdk/gdkkeysyms.h>`
`#include "fcintl.h"`
`#include "log.h"`
`#include "mem.h"`
`#include "support.h"`
`#include "city.h"`
`#include "packets.h"`
`#include "worklist.h"`
`#include "citydlg_common.h"`
`#include "client_main.h"`
`#include "climisc.h"`
`#include "global_worklist.h"`
`#include "options.h"`
`#include "text.h"`
`#include "tilespec.h"`
`#include "canvas.h"`
`#include "citydlg.h"`
`#include "graphics.h"`
`#include "gui_main.h"`
`#include "gui_stuff.h"`
`#include "helpdlg.h"`
`#include "inputdlg.h"`
`#include "wldlg.h"`

Go to the source code of this file.

## Data Structures

struct | worklist_data

## Enumerations

enum | { WORKLISTS_NEW , WORKLISTS_DELETE , WORKLISTS_PROPERTIES , WORKLISTS_CLOSE }
enum | { TARGET_GTK_TREE_MODEL_ROW }

## Functions

static void | reset_global_worklist (GtkWidget *editor, struct global_worklist *pgwl)
static void | popup_worklist (struct global_worklist *pgwl)
static void | popdown_worklist (struct global_worklist *pgwl)
static void | dst_row_callback (GtkTreeView *view, GtkTreePath *path, GtkTreeViewColumn *col, gpointer data)
void | blank_max_unit_size (void)
static void | update_max_unit_size (void)
static void | worklists_destroy_callback (GtkWidget *w, gpointer data)
void | update_worklist_report_dialog (void)
static void | worklists_response (GtkWidget *w, gint response)
static void | cell_edited (GtkCellRendererText *cell, const gchar *spath, const gchar *text, gpointer data)
static GtkWidget * | create_worklists_report (void)
void | popup_worklists_report (void)
static void | commit_worklist (struct worklist_data *ptr)
void | add_worklist_dnd_target (GtkWidget *w)
static GtkWidget * | get_worklist (int global_worklist_id)
static void | insert_worklist (int global_worklist_id, GtkWidget *editor)
static void | delete_worklist (int global_worklist_id)
static void | worklist_destroy (GtkWidget *editor, gpointer data)
static void | menu_item_callback (GtkMenuItem *item, struct worklist_data *ptr)
static void | popup_add_menu (GtkMenuShell *menu, gpointer data)
static void | help_callback (GtkWidget *w, gpointer data)
static void | change_callback (GtkWidget *w, gpointer data)
static void | future_callback (GtkToggleButton *toggle, gpointer data)
static void | queue_bubble_up (struct worklist_data *ptr)
static void | queue_remove (struct worklist_data *ptr)
static void | queue_bubble_down (struct worklist_data *ptr)
static void | queue_insert (struct worklist_data *ptr, bool prepend)
static void | queue_prepend (struct worklist_data *ptr)
static void | queue_append (struct worklist_data *ptr)
static void | src_row_callback (GtkTreeView *view, GtkTreePath *path, GtkTreeViewColumn *col, gpointer data)
static gboolean | src_key_press_callback (GtkWidget *w, GdkEventKey *ev, gpointer data)
static gboolean | dst_key_press_callback (GtkWidget *w, GdkEventKey *ev, gpointer data)
static void | src_selection_callback (GtkTreeSelection *selection, gpointer data)
static void | dst_selection_callback (GtkTreeSelection *selection, gpointer data)
static gboolean | dst_dnd_callback (GtkWidget *w, GdkDragContext *context, struct worklist_data *ptr)
static void | cell_render_func (GtkTreeViewColumn *col, GtkCellRenderer *rend, GtkTreeModel *model, GtkTreeIter *it, gpointer data)
static void | populate_view (GtkTreeView *view, struct city **ppcity, GtkTreeViewColumn **pcol)
GtkWidget * | create_worklist (void)
void | reset_city_worklist (GtkWidget *editor, struct city *pcity)
void | refresh_worklist (GtkWidget *editor)

## Variables

static GtkWidget * | worklists_shell
static GtkWidget * | worklists_list
static GtkListStore * | worklists_store
static int | max_unit_height = -1
static int | max_unit_width = -1
static GHashTable * | hash
static GtkTargetEntry | wl_dnd_targets []

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
WORKLISTS_NEW |
WORKLISTS_DELETE |
WORKLISTS_PROPERTIES |
WORKLISTS_CLOSE |

Definition at line 58 of file wldlg.c.

## ◆ anonymous enum

anonymous enum

Enumerator
TARGET_GTK_TREE_MODEL_ROW |

Definition at line 325 of file wldlg.c.

## Function Documentation

## ◆ add_worklist_dnd_target()

void add_worklist_dnd_target | ( | GtkWidget * | w | ) |

Add drag&drop target

Definition at line 337 of file wldlg.c.

Referenced by create_production_header(), and create_production_header().

## ◆ blank_max_unit_size()

void blank_max_unit_size | ( | void |  | ) |

Illegal initialization value for max unit size variables

Definition at line 79 of file wldlg.c.

Referenced by popdown_races_dialog(), and tileset_changed().

## ◆ cell_edited()

static void cell_edited | ( | GtkCellRendererText * | cell,
|  | const gchar * | spath,
|  | const gchar * | text,
|  | gpointer | data
| ) |  |

static

Worklist cell edited

Definition at line 184 of file wldlg.c.

Referenced by create_worklists_report().

## ◆ cell_render_func()

static void cell_render_func | ( | GtkTreeViewColumn * | col,
|  | GtkCellRenderer * | rend,
|  | GtkTreeModel * | model,
|  | GtkTreeIter * | it,
|  | gpointer | data
| ) |  |

static

Render worklist cell

Definition at line 932 of file wldlg.c.

Referenced by populate_view().

## ◆ change_callback()

static void change_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

"Change Production" clicked

Definition at line 554 of file wldlg.c.

Referenced by create_worklist().

## ◆ commit_worklist()

static void commit_worklist | ( | struct worklist_data * | ptr | ) |

static

Commit worklist data to worklist

Definition at line 1472 of file wldlg.c.

Referenced by drag_drop(), dst_dnd_callback(), dst_key_press_callback(), dst_key_press_callback(), dst_row_callback(), menu_item_callback(), menu_item_callback(), queue_bubble_down(), queue_bubble_up(), queue_insert(), and src_row_callback().

## ◆ create_worklist()

GtkWidget * create_worklist | ( | void |  | ) |

Worklist editor shell.

Definition at line 1054 of file wldlg.c.

Referenced by create_and_append_worklist_page(), and popup_worklist().

## ◆ create_worklists_report()

static GtkWidget * create_worklists_report | ( | void |  | ) |

static

Bring up the global worklist report.

Definition at line 212 of file wldlg.c.

Referenced by popup_worklists_report().

## ◆ delete_worklist()

static void delete_worklist | ( | int | global_worklist_id | ) |

static

Remove worklist from hash

Definition at line 373 of file wldlg.c.

Referenced by worklist_destroy().

## ◆ dst_dnd_callback()

static gboolean dst_dnd_callback | ( | GtkWidget * | w,
|  | GdkDragContext * | context,
|  | struct worklist_data * | ptr
| ) |  |

static

Drag&drop to destination

Definition at line 922 of file wldlg.c.

Referenced by create_worklist().

## ◆ dst_key_press_callback()

static gboolean dst_key_press_callback | ( | GtkWidget * | w,
|  | GdkEventKey * | ev,
|  | gpointer | data
| ) |  |

static

Key press for destination

Definition at line 808 of file wldlg.c.

Referenced by create_worklist().

## ◆ dst_row_callback()

static void dst_row_callback | ( | GtkTreeView * | view,
|  | GtkTreePath * | path,
|  | GtkTreeViewColumn * | col,
|  | gpointer | data
| ) |  |

static

Destination row activated

Definition at line 764 of file wldlg.c.

Referenced by create_worklist(), and queue_remove().

## ◆ dst_selection_callback()

static void dst_selection_callback | ( | GtkTreeSelection * | selection,
|  | gpointer | data
| ) |  |

static

Selection from destination

Definition at line 889 of file wldlg.c.

Referenced by create_worklist().

## ◆ future_callback()

static void future_callback | ( | GtkToggleButton * | toggle,
|  | gpointer | data
| ) |  |

static

Showing of future targets toggled

Definition at line 577 of file wldlg.c.

Referenced by create_worklist().

## ◆ get_worklist()

static GtkWidget * get_worklist | ( | int | global_worklist_id | ) |

static

Get worklist by id

Definition at line 347 of file wldlg.c.

Referenced by popdown_worklist(), and popup_worklist().

## ◆ help_callback()

static void help_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Help button clicked

Definition at line 519 of file wldlg.c.

Referenced by create_worklist().

## ◆ insert_worklist()

static void insert_worklist | ( | int | global_worklist_id,
|  | GtkWidget * | editor
| ) |  |

static

Insert worklist to editor

Definition at line 362 of file wldlg.c.

Referenced by popup_worklist().

## ◆ menu_item_callback()

static void menu_item_callback | ( | GtkMenuItem * | item,
|  | struct worklist_data * | ptr
| ) |  |

static

Item activated from menu

Definition at line 448 of file wldlg.c.

Referenced by create_wl_menu(), and popup_add_menu().

## ◆ popdown_worklist()

static void popdown_worklist | ( | struct global_worklist * | pgwl | ) |

static

Close worklist

Definition at line 417 of file wldlg.c.

Referenced by worklists_response().

## ◆ populate_view()

static void populate_view | ( | GtkTreeView * | view,
|  | struct city ** | ppcity,
|  | GtkTreeViewColumn ** | pcol
| ) |  |

static

Populate view with buildable item information

Definition at line 991 of file wldlg.c.

Referenced by create_worklist().

## ◆ popup_add_menu()

static void popup_add_menu | ( | GtkMenuShell * | menu,
|  | gpointer | data
| ) |  |

static

Open menu for adding items to worklist

Definition at line 485 of file wldlg.c.

Referenced by create_worklist().

## ◆ popup_worklist()

static void popup_worklist | ( | struct global_worklist * | pgwl | ) |

static

Worklist editor window used by the global worklist report.

Definition at line 383 of file wldlg.c.

Referenced by worklists_response().

## ◆ popup_worklists_report()

void popup_worklists_report | ( | void |  | ) |

Open worklists report

Definition at line 286 of file wldlg.c.

Referenced by create_wl_menu(), popup_add_menu(), worklists_callback(), and worklists_callback().

## ◆ queue_append()

static void queue_append | ( | struct worklist_data * | ptr | ) |

static

Append item to worklist

Definition at line 722 of file wldlg.c.

Referenced by create_worklist(), src_key_press_callback(), and src_key_press_callback().

## ◆ queue_bubble_down()

static void queue_bubble_down | ( | struct worklist_data * | ptr | ) |

static

Move item down in queue

Definition at line 637 of file wldlg.c.

Referenced by create_worklist(), dst_key_press_callback(), and dst_key_press_callback().

## ◆ queue_bubble_up()

static void queue_bubble_up | ( | struct worklist_data * | ptr | ) |

static

Move item up in worklist

Definition at line 590 of file wldlg.c.

Referenced by create_worklist(), dst_key_press_callback(), and dst_key_press_callback().

## ◆ queue_insert()

static void queue_insert | ( | struct worklist_data * | ptr,
|  | bool | prepend
| ) |  |

static

Insert item to queue

Definition at line 668 of file wldlg.c.

Referenced by queue_append(), and queue_prepend().

## ◆ queue_prepend()

static void queue_prepend | ( | struct worklist_data * | ptr | ) |

static

Prepend item to worklist

Definition at line 714 of file wldlg.c.

Referenced by create_worklist(), src_key_press_callback(), and src_key_press_callback().

## ◆ queue_remove()

static void queue_remove | ( | struct worklist_data * | ptr | ) |

static

Removal of the item requested

Definition at line 622 of file wldlg.c.

Referenced by create_worklist().

## ◆ refresh_worklist()

void refresh_worklist | ( | GtkWidget * | editor | ) |

Refresh worklist info

Definition at line 1329 of file wldlg.c.

Referenced by commit_worklist(), future_callback(), popup_worklist(), real_city_dialog_refresh(), and refresh_all_city_worklists().

## ◆ reset_city_worklist()

void reset_city_worklist | ( | GtkWidget * | editor,
|  | struct city * | pcity
| ) |  |

Reset worklist for city

Definition at line 1281 of file wldlg.c.

Referenced by create_and_append_worklist_page(), and switch_city_callback().

## ◆ reset_global_worklist()

static void reset_global_worklist | ( | GtkWidget * | editor,
|  | struct global_worklist * | pgwl
| ) |  |

static

Reset one of the global worklists

Definition at line 1306 of file wldlg.c.

Referenced by popup_worklist().

## ◆ src_key_press_callback()

static gboolean src_key_press_callback | ( | GtkWidget * | w,
|  | GdkEventKey * | ev,
|  | gpointer | data
| ) |  |

static

Key press for source

Definition at line 783 of file wldlg.c.

Referenced by create_worklist().

## ◆ src_row_callback()

static void src_row_callback | ( | GtkTreeView * | view,
|  | GtkTreePath * | path,
|  | GtkTreeViewColumn * | col,
|  | gpointer | data
| ) |  |

static

Source row activated

Definition at line 730 of file wldlg.c.

Referenced by create_worklist().

## ◆ src_selection_callback()

static void src_selection_callback | ( | GtkTreeSelection * | selection,
|  | gpointer | data
| ) |  |

static

Selection from source

Definition at line 858 of file wldlg.c.

Referenced by create_worklist().

## ◆ update_max_unit_size()

static void update_max_unit_size | ( | void |  | ) |

static

Setup max unit sprite size.

Definition at line 88 of file wldlg.c.

Referenced by populate_view().

## ◆ update_worklist_report_dialog()

void update_worklist_report_dialog | ( | void |  | ) |

Refresh global worklists list

Definition at line 115 of file wldlg.c.

Referenced by ok_worklist_editor_callback(), popup_worklists_report(), and worklists_response().

## ◆ worklist_destroy()

static void worklist_destroy | ( | GtkWidget * | editor,
|  | gpointer | data
| ) |  |

static

Destroy worklist

Definition at line 432 of file wldlg.c.

Referenced by create_worklist().

## ◆ worklists_destroy_callback()

static void worklists_destroy_callback | ( | GtkWidget * | w,
|  | gpointer | data
| ) |  |

static

Worklists dialog being destroyed

Definition at line 107 of file wldlg.c.

Referenced by create_worklists_report().

## ◆ worklists_response()

static void worklists_response | ( | GtkWidget * | w,
|  | gint | response
| ) |  |

static

User has responded to worklist report

Definition at line 133 of file wldlg.c.

Referenced by create_worklists_report().

## Variable Documentation

## ◆ hash

GHashTable* hash

static

Definition at line 320 of file wldlg.c.

Referenced by fc_shortcut_popup::check_if_exist(), delete_worklist(), generate_players(), get_worklist(), fc_shortcuts_dialog::init(), insert_worklist(), help_dialog::make_tree(), receive_packet_achievement_info_100(), receive_packet_authentication_reply_100(), receive_packet_authentication_req_100(), receive_packet_calendar_info_100(), receive_packet_chat_msg_100(), receive_packet_chat_msg_req_100(), receive_packet_city_buy_100(), receive_packet_city_buy_101(), receive_packet_city_change_100(), receive_packet_city_change_101(), receive_packet_city_change_specialist_100(), receive_packet_city_change_specialist_101(), receive_packet_city_info_100(), receive_packet_city_info_101(), receive_packet_city_info_102(), receive_packet_city_info_103(), receive_packet_city_make_specialist_100(), receive_packet_city_make_specialist_101(), receive_packet_city_make_worker_100(), receive_packet_city_make_worker_101(), receive_packet_city_name_suggestion_info_100(), receive_packet_city_name_suggestion_info_101(), receive_packet_city_name_suggestion_req_100(), receive_packet_city_name_suggestion_req_101(), receive_packet_city_nationalities_100(), receive_packet_city_nationalities_101(), receive_packet_city_options_req_100(), receive_packet_city_options_req_101(), receive_packet_city_rally_point_100(), receive_packet_city_rally_point_101(), receive_packet_city_refresh_100(), receive_packet_city_refresh_101(), receive_packet_city_remove_100(), receive_packet_city_remove_101(), receive_packet_city_rename_100(), receive_packet_city_rename_101(), receive_packet_city_sabotage_list_100(), receive_packet_city_sabotage_list_101(), receive_packet_city_sell_100(), receive_packet_city_sell_101(), receive_packet_city_short_info_100(), receive_packet_city_short_info_101(), receive_packet_city_worklist_100(), receive_packet_city_worklist_101(), receive_packet_client_info_100(), receive_packet_conn_info_100(), receive_packet_conn_ping_info_100(), receive_packet_connect_msg_100(), receive_packet_diplomacy_accept_treaty_100(), receive_packet_diplomacy_accept_treaty_req_100(), receive_packet_diplomacy_cancel_meeting_100(), receive_packet_diplomacy_cancel_meeting_req_100(), receive_packet_diplomacy_cancel_pact_100(), receive_packet_diplomacy_create_clause_100(), receive_packet_diplomacy_create_clause_req_100(), receive_packet_diplomacy_init_meeting_100(), receive_packet_diplomacy_init_meeting_req_100(), receive_packet_diplomacy_remove_clause_100(), receive_packet_diplomacy_remove_clause_req_100(), receive_packet_early_chat_msg_100(), receive_packet_edit_city_100(), receive_packet_edit_city_101(), receive_packet_edit_city_create_100(), receive_packet_edit_city_remove_100(), receive_packet_edit_city_remove_101(), receive_packet_edit_game_100(), receive_packet_edit_mode_100(), receive_packet_edit_object_created_100(), receive_packet_edit_player_100(), receive_packet_edit_player_create_100(), receive_packet_edit_player_remove_100(), receive_packet_edit_player_vision_100(), receive_packet_edit_scenario_desc_100(), receive_packet_edit_tile_100(), receive_packet_edit_tile_extra_100(), receive_packet_edit_tile_terrain_100(), receive_packet_edit_toggle_fogofwar_100(), receive_packet_edit_unit_100(), receive_packet_edit_unit_101(), receive_packet_edit_unit_create_100(), receive_packet_edit_unit_remove_100(), receive_packet_edit_unit_remove_by_id_100(), receive_packet_edit_unit_remove_by_id_101(), receive_packet_game_info_100(), receive_packet_game_load_100(), receive_packet_investigate_finished_100(), receive_packet_investigate_finished_101(), receive_packet_investigate_started_100(), receive_packet_investigate_started_101(), receive_packet_map_info_100(), receive_packet_nation_availability_100(), receive_packet_nation_select_req_100(), receive_packet_new_year_100(), receive_packet_nuke_tile_info_100(), receive_packet_page_msg_100(), receive_packet_page_msg_part_100(), receive_packet_play_music_100(), receive_packet_player_attribute_chunk_100(), receive_packet_player_change_government_100(), receive_packet_player_diplstate_100(), receive_packet_player_info_100(), receive_packet_player_multiplier_100(), receive_packet_player_phase_done_100(), receive_packet_player_place_infra_100(), receive_packet_player_rates_100(), receive_packet_player_ready_100(), receive_packet_player_remove_100(), receive_packet_player_research_100(), receive_packet_player_tech_goal_100(), receive_packet_report_req_100(), receive_packet_research_info_100(), receive_packet_ruleset_achievement_100(), receive_packet_ruleset_action_100(), receive_packet_ruleset_action_auto_100(), receive_packet_ruleset_action_enabler_100(), receive_packet_ruleset_base_100(), receive_packet_ruleset_building_100(), receive_packet_ruleset_choices_100(), receive_packet_ruleset_city_100(), receive_packet_ruleset_clause_100(), receive_packet_ruleset_control_100(), receive_packet_ruleset_control_101(), receive_packet_ruleset_description_part_100(), receive_packet_ruleset_disaster_100(), receive_packet_ruleset_effect_100(), receive_packet_ruleset_extra_100(), receive_packet_ruleset_extra_flag_100(), receive_packet_ruleset_game_100(), receive_packet_ruleset_goods_100(), receive_packet_ruleset_government_100(), receive_packet_ruleset_government_ruler_title_100(), receive_packet_ruleset_multiplier_100(), receive_packet_ruleset_music_100(), receive_packet_ruleset_nation_100(), receive_packet_ruleset_nation_groups_100(), receive_packet_ruleset_nation_sets_100(), receive_packet_ruleset_resource_100(), receive_packet_ruleset_road_100(), receive_packet_ruleset_specialist_100(), receive_packet_ruleset_style_100(), receive_packet_ruleset_summary_100(), receive_packet_ruleset_tech_100(), receive_packet_ruleset_tech_class_100(), receive_packet_ruleset_tech_flag_100(), receive_packet_ruleset_terrain_100(), receive_packet_ruleset_terrain_control_100(), receive_packet_ruleset_terrain_flag_100(), receive_packet_ruleset_trade_100(), receive_packet_ruleset_unit_100(), receive_packet_ruleset_unit_bonus_100(), receive_packet_ruleset_unit_class_100(), receive_packet_ruleset_unit_class_flag_100(), receive_packet_ruleset_unit_flag_100(), receive_packet_save_scenario_100(), receive_packet_scenario_description_100(), receive_packet_scenario_info_100(), receive_packet_server_info_100(), receive_packet_server_setting_bitwise_100(), receive_packet_server_setting_bool_100(), receive_packet_server_setting_const_100(), receive_packet_server_setting_control_100(), receive_packet_server_setting_enum_100(), receive_packet_server_setting_int_100(), receive_packet_server_setting_str_100(), receive_packet_set_topology_100(), receive_packet_single_want_hack_reply_100(), receive_packet_single_want_hack_req_100(), receive_packet_spaceship_info_100(), receive_packet_spaceship_place_100(), receive_packet_start_phase_100(), receive_packet_team_name_info_100(), receive_packet_tile_info_100(), receive_packet_tile_info_101(), receive_packet_timeout_info_100(), receive_packet_trade_route_info_100(), receive_packet_trade_route_info_101(), receive_packet_unit_action_answer_100(), receive_packet_unit_action_answer_101(), receive_packet_unit_action_query_100(), receive_packet_unit_action_query_101(), receive_packet_unit_actions_100(), receive_packet_unit_actions_101(), receive_packet_unit_change_activity_100(), receive_packet_unit_change_activity_101(), receive_packet_unit_combat_info_100(), receive_packet_unit_combat_info_101(), receive_packet_unit_do_action_100(), receive_packet_unit_do_action_101(), receive_packet_unit_get_actions_100(), receive_packet_unit_get_actions_101(), receive_packet_unit_info_100(), receive_packet_unit_info_101(), receive_packet_unit_orders_100(), receive_packet_unit_orders_101(), receive_packet_unit_remove_100(), receive_packet_unit_remove_101(), receive_packet_unit_server_side_agent_set_100(), receive_packet_unit_server_side_agent_set_101(), receive_packet_unit_short_info_100(), receive_packet_unit_short_info_101(), receive_packet_unit_sscs_set_100(), receive_packet_unit_sscs_set_101(), receive_packet_unit_type_upgrade_100(), receive_packet_unknown_research_100(), receive_packet_vote_new_100(), receive_packet_vote_remove_100(), receive_packet_vote_resolve_100(), receive_packet_vote_update_100(), receive_packet_web_city_info_addition_100(), receive_packet_web_city_info_addition_101(), receive_packet_web_player_info_addition_100(), receive_packet_web_ruleset_unit_addition_100(), receive_packet_worker_task_100(), receive_packet_worker_task_101(), send_packet_achievement_info_100(), send_packet_authentication_reply_100(), send_packet_authentication_req_100(), send_packet_calendar_info_100(), send_packet_chat_msg_100(), send_packet_chat_msg_req_100(), send_packet_city_buy_100(), send_packet_city_buy_101(), send_packet_city_change_100(), send_packet_city_change_101(), send_packet_city_change_specialist_100(), send_packet_city_change_specialist_101(), send_packet_city_info_100(), send_packet_city_info_101(), send_packet_city_info_102(), send_packet_city_info_103(), send_packet_city_make_specialist_100(), send_packet_city_make_specialist_101(), send_packet_city_make_worker_100(), send_packet_city_make_worker_101(), send_packet_city_name_suggestion_info_100(), send_packet_city_name_suggestion_info_101(), send_packet_city_name_suggestion_req_100(), send_packet_city_name_suggestion_req_101(), send_packet_city_nationalities_100(), send_packet_city_nationalities_101(), send_packet_city_options_req_100(), send_packet_city_options_req_101(), send_packet_city_rally_point_100(), send_packet_city_rally_point_101(), send_packet_city_refresh_100(), send_packet_city_refresh_101(), send_packet_city_remove_100(), send_packet_city_remove_101(), send_packet_city_rename_100(), send_packet_city_rename_101(), send_packet_city_sabotage_list_100(), send_packet_city_sabotage_list_101(), send_packet_city_sell_100(), send_packet_city_sell_101(), send_packet_city_short_info_100(), send_packet_city_short_info_101(), send_packet_city_worklist_100(), send_packet_city_worklist_101(), send_packet_client_info_100(), send_packet_conn_info_100(), send_packet_conn_ping_info_100(), send_packet_connect_msg_100(), send_packet_diplomacy_accept_treaty_100(), send_packet_diplomacy_accept_treaty_req_100(), send_packet_diplomacy_cancel_meeting_100(), send_packet_diplomacy_cancel_meeting_req_100(), send_packet_diplomacy_cancel_pact_100(), send_packet_diplomacy_create_clause_100(), send_packet_diplomacy_create_clause_req_100(), send_packet_diplomacy_init_meeting_100(), send_packet_diplomacy_init_meeting_req_100(), send_packet_diplomacy_remove_clause_100(), send_packet_diplomacy_remove_clause_req_100(), send_packet_early_chat_msg_100(), send_packet_edit_city_100(), send_packet_edit_city_101(), send_packet_edit_city_create_100(), send_packet_edit_city_remove_100(), send_packet_edit_city_remove_101(), send_packet_edit_game_100(), send_packet_edit_mode_100(), send_packet_edit_object_created_100(), send_packet_edit_player_100(), send_packet_edit_player_create_100(), send_packet_edit_player_remove_100(), send_packet_edit_player_vision_100(), send_packet_edit_scenario_desc_100(), send_packet_edit_tile_100(), send_packet_edit_tile_extra_100(), send_packet_edit_tile_terrain_100(), send_packet_edit_toggle_fogofwar_100(), send_packet_edit_unit_100(), send_packet_edit_unit_101(), send_packet_edit_unit_create_100(), send_packet_edit_unit_remove_100(), send_packet_edit_unit_remove_by_id_100(), send_packet_edit_unit_remove_by_id_101(), send_packet_game_info_100(), send_packet_game_load_100(), send_packet_investigate_finished_100(), send_packet_investigate_finished_101(), send_packet_investigate_started_100(), send_packet_investigate_started_101(), send_packet_map_info_100(), send_packet_nation_availability_100(), send_packet_nation_select_req_100(), send_packet_new_year_100(), send_packet_nuke_tile_info_100(), send_packet_page_msg_100(), send_packet_page_msg_part_100(), send_packet_play_music_100(), send_packet_player_attribute_chunk_100(), send_packet_player_change_government_100(), send_packet_player_diplstate_100(), send_packet_player_info_100(), send_packet_player_multiplier_100(), send_packet_player_phase_done_100(), send_packet_player_place_infra_100(), send_packet_player_rates_100(), send_packet_player_ready_100(), send_packet_player_remove_100(), send_packet_player_research_100(), send_packet_player_tech_goal_100(), send_packet_report_req_100(), send_packet_research_info_100(), send_packet_ruleset_achievement_100(), send_packet_ruleset_action_100(), send_packet_ruleset_action_auto_100(), send_packet_ruleset_action_enabler_100(), send_packet_ruleset_base_100(), send_packet_ruleset_building_100(), send_packet_ruleset_choices_100(), send_packet_ruleset_city_100(), send_packet_ruleset_clause_100(), send_packet_ruleset_control_100(), send_packet_ruleset_control_101(), send_packet_ruleset_description_part_100(), send_packet_ruleset_disaster_100(), send_packet_ruleset_effect_100(), send_packet_ruleset_extra_100(), send_packet_ruleset_extra_flag_100(), send_packet_ruleset_game_100(), send_packet_ruleset_goods_100(), send_packet_ruleset_government_100(), send_packet_ruleset_government_ruler_title_100(), send_packet_ruleset_multiplier_100(), send_packet_ruleset_music_100(), send_packet_ruleset_nation_100(), send_packet_ruleset_nation_groups_100(), send_packet_ruleset_nation_sets_100(), send_packet_ruleset_resource_100(), send_packet_ruleset_road_100(), send_packet_ruleset_specialist_100(), send_packet_ruleset_style_100(), send_packet_ruleset_summary_100(), send_packet_ruleset_tech_100(), send_packet_ruleset_tech_class_100(), send_packet_ruleset_tech_flag_100(), send_packet_ruleset_terrain_100(), send_packet_ruleset_terrain_control_100(), send_packet_ruleset_terrain_flag_100(), send_packet_ruleset_trade_100(), send_packet_ruleset_unit_100(), send_packet_ruleset_unit_bonus_100(), send_packet_ruleset_unit_class_100(), send_packet_ruleset_unit_class_flag_100(), send_packet_ruleset_unit_flag_100(), send_packet_save_scenario_100(), send_packet_scenario_description_100(), send_packet_scenario_info_100(), send_packet_server_info_100(), send_packet_server_setting_bitwise_100(), send_packet_server_setting_bool_100(), send_packet_server_setting_const_100(), send_packet_server_setting_control_100(), send_packet_server_setting_enum_100(), send_packet_server_setting_int_100(), send_packet_server_setting_str_100(), send_packet_set_topology_100(), send_packet_single_want_hack_reply_100(), send_packet_single_want_hack_req_100(), send_packet_spaceship_info_100(), send_packet_spaceship_place_100(), send_packet_start_phase_100(), send_packet_team_name_info_100(), send_packet_tile_info_100(), send_packet_tile_info_101(), send_packet_timeout_info_100(), send_packet_trade_route_info_100(), send_packet_trade_route_info_101(), send_packet_unit_action_answer_100(), send_packet_unit_action_answer_101(), send_packet_unit_action_query_100(), send_packet_unit_action_query_101(), send_packet_unit_actions_100(), send_packet_unit_actions_101(), send_packet_unit_change_activity_100(), send_packet_unit_change_activity_101(), send_packet_unit_combat_info_100(), send_packet_unit_combat_info_101(), send_packet_unit_do_action_100(), send_packet_unit_do_action_101(), send_packet_unit_get_actions_100(), send_packet_unit_get_actions_101(), send_packet_unit_info_100(), send_packet_unit_info_101(), send_packet_unit_orders_100(), send_packet_unit_orders_101(), send_packet_unit_remove_100(), send_packet_unit_remove_101(), send_packet_unit_server_side_agent_set_100(), send_packet_unit_server_side_agent_set_101(), send_packet_unit_short_info_100(), send_packet_unit_short_info_101(), send_packet_unit_sscs_set_100(), send_packet_unit_sscs_set_101(), send_packet_unit_type_upgrade_100(), send_packet_unknown_research_100(), send_packet_vote_new_100(), send_packet_vote_remove_100(), send_packet_vote_resolve_100(), send_packet_vote_update_100(), send_packet_web_city_info_addition_100(), send_packet_web_city_info_addition_101(), send_packet_web_player_info_addition_100(), send_packet_web_ruleset_unit_addition_100(), send_packet_worker_task_100(), send_packet_worker_task_101(), serialize_hash(), unserialize_hash(), update_unqueue(), waiting_queue_add_pending_request(), and waiting_queue_execute_pending_requests().

## ◆ max_unit_height

int max_unit_height = -1

static

Definition at line 67 of file wldlg.c.

Referenced by blank_max_unit_size(), cell_render_func(), drag_begin(), populate_view(), and update_max_unit_size().

## ◆ max_unit_width

int max_unit_width = -1

static

Definition at line 67 of file wldlg.c.

Referenced by blank_max_unit_size(), cell_render_func(), drag_begin(), populate_view(), and update_max_unit_size().

## ◆ wl_dnd_targets

GtkTargetEntry wl_dnd_targets[]

static

Initial value:
= {
{ "GTK_TREE_MODEL_ROW", GTK_TARGET_SAME_APP, TARGET_GTK_TREE_MODEL_ROW },
}
TARGET_GTK_TREE_MODEL_ROW
@ TARGET_GTK_TREE_MODEL_ROW
Definition wldlg.c:326

Definition at line 329 of file wldlg.c.

Referenced by add_worklist_dnd_target(), and reset_city_worklist().

## ◆ worklists_list

GtkWidget* worklists_list

static

Definition at line 56 of file wldlg.c.

Referenced by create_worklists_report(), and worklists_response().

## ◆ worklists_shell

GtkWidget* worklists_shell

static

Definition at line 55 of file wldlg.c.

Referenced by popup_worklist(), popup_worklists_report(), worklists_destroy_callback(), and worklists_response().

## ◆ worklists_store

GtkListStore* worklists_store

static

Definition at line 65 of file wldlg.c.

Referenced by cell_edited(), create_worklists_report(), and update_worklist_report_dialog().